#pragma once
#include <vector>
#include <array>
#include <stdexcept>
#include <cmath>

class gameMatrix
{
public:
    // Matrix Multiplikation
    static std::array<std::array<double,4>,4> matmul(const std::array<std::array<double,4>,4>& A,
                                                   const std::array<std::array<double,4>,4>& B);

    // Rotationsmatrix um Achse x/y/z
    static std::array<std::array<double,4>,4> rot3D(double angle_deg, char axis);

    // Verschiebung
    static std::array<std::array<double,4>,4> translate(const std::array<double, 3>& pos);
};
